## python-nvchecker 2.12

=== docs/requirements.txt ===
tomli
structlog
platformdirs
tornado>=6
sphinx>=3.2
# <5 has strange bottom margins for p, and no list indicators
sphinx-rtd-theme>=0.5

=== debian/changelog ===
python-nvchecker (2.12-2) unstable; urgency=medium

  * Source-only Upload
  * Update Vcs links to Salsa
  * Add Breaks, Replaces, Provides: nvchecker (Closes: #1055679)

 -- Jakub Ružička <jru@debian.org>  Fri, 10 Nov 2023 14:03:02 +0100

python-nvchecker (2.12-1) unstable; urgency=medium

  * Initial release (Closes: #1054236)

 -- Jakub Ružička <jru@debian.org>  Thu, 09 Nov 2023 16:50:48 +0100

=== debian/control ===
Source: python-nvchecker
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jakub Ružička <jru@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 git,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.2
Homepage: https://github.com/lilydjwg/nvchecker
Vcs-Git: https://salsa.debian.org/python-team/packages/python-nvchecker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nvchecker
Rules-Requires-Root: no

Package: python-nvchecker-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: new version checker (documentation)
 nvchekcer (short for new version checker) is a Python library and CLI for
 checking if a new version of some software has been released.
 .
 This package contains the documentation in HTML format.

Package: python3-nvchecker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-nvchecker-doc
Breaks: nvchecker (<< 2.12)
Replaces: nvchecker (<< 2.12)
Provides: nvchecker
Description: new version checker
 nvchekcer (short for new version checker) is a Python library and CLI for
 checking if a new version of some software has been released.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=nvchecker

MAN_BUILD_DIR := docs/_build/man

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html man
	# symlink scripts' manpages
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvcmp.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvtake.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvchecker-ini2toml.1
	ln -sr $(MAN_BUILD_DIR)/nvchecker.1 $(MAN_BUILD_DIR)/nvchecker-notify.1

override_dh_auto_test:
	# skip tests as they require online connection

## python-nvchecker 2.13.1

=== debian/changelog ===
python-nvchecker (2.13.1-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to latest 4.7.0

 -- Jakub Ružička <jru@debian.org>  Thu, 11 Apr 2024 15:48:28 +0200

## python-nvchecker 2.16

=== debian/changelog ===
python-nvchecker (2.16-1) unstable; urgency=medium

  * New upstream version 2.16

 -- Jakub Ružička <jru@debian.org>  Thu, 12 Dec 2024 14:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/lilydjwg/nvchecker
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nvchecker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nvchecker

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvchecker-$1\.tar\.gz/ \
  https://github.com/lilydjwg/nvchecker/tags .*/v?(\d\S+)\.tar\.gz
